io.undertow.websockets.core

## Enum WebSocketFrameType

- java.lang.Object
- - java.lang.Enum<WebSocketFrameType>
  - - io.undertow.websockets.core.WebSocketFrameType

All Implemented Interfaces:
  Serializable, Comparable<WebSocketFrameType>

    public enum WebSocketFrameType
    extends Enum<WebSocketFrameType>

The different WebSocketFrame types which are out there.

Author:
  Norman Maurer

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY` WebSocketFrame contains binary data
`CLOSE` WebSocketFrame which requests the close of the WebSockets connection
`CONTINUATION` WebSocketFrame which notify about more data to come
`PING` WebSocketFrame which represent a ping request
`PONG` WebSocketFrame which should be issued after a `PING` was received
`TEXT` WebSocketFrame contains UTF-8 encoded `String`
`UNKOWN` Unknown frame-type

### Method Summary

All Methods Static Methods Concrete Methods
`static WebSocketFrameType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WebSocketFrameType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BINARY

    public static final WebSocketFrameType BINARY

WebSocketFrame contains binary data

#### TEXT

    public static final WebSocketFrameType TEXT

WebSocketFrame contains UTF-8 encoded `String`

#### PING

    public static final WebSocketFrameType PING

WebSocketFrame which represent a ping request

#### PONG

    public static final WebSocketFrameType PONG

WebSocketFrame which should be issued after a `PING` was received

#### CLOSE

    public static final WebSocketFrameType CLOSE

WebSocketFrame which requests the close of the WebSockets connection

#### CONTINUATION

    public static final WebSocketFrameType CONTINUATION

WebSocketFrame which notify about more data to come

#### UNKOWN

    public static final WebSocketFrameType UNKOWN

Unknown frame-type

### Method Detail

#### values

    public static WebSocketFrameType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WebSocketFrameType c : WebSocketFrameType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WebSocketFrameType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null